### Method

# Panel SessionItem set_type_hint

#### Declaration [src]

    void
    panel_session_item_set_type_hint (
      PanelSessionItem* self,
      const char* type_hint
    )

#### Description [src]

Sets the type-hint value for the item.

This is generally used to help inflate the right version of an object when loading session items.

Sets property | `Panel.SessionItem:type-hint`

#### Parameters

`type_hint`

  Type: `const char*`

  A type hint string for the item.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.